{if new_layout_refund}
    {capture assign=refund_fieldset}
		<div class="well">

			<div class="card" id="axeptaRefund">
				<div class="card-header">
					<h3 class="card-header-title">
                        {l s='Make a refund' mod='axepta'}
					</h3>
				</div>

				<div class="card-body">
                    {if isset($axepta_refund_error) && $axepta_refund_error}
						<div class="alert alert-danger">
							<p class="error">{$axepta_refund_error|escape:'htmlall':'UTF-8'}</p>
						</div>
                    {/if}
                    {if isset($axepta_refund_message) && $axepta_refund_message}
						<div style="margin-top:15px" class="alert alert-success">
							<p>{$axepta_refund_message}</p>
						</div>
                    {/if}
                    {if isset($axepta_amount_refundable)
                    && $axepta_amount_refundable
                    && ($axepta_amount_refundable > 0)}
						<div>
							<p>{l s='Amount submitted to refund' mod='axepta'}: {$axepta_submit_to_refund_amount}</p>
							<p>{l s='Amount refunded' mod='axepta'}: {$axepta_refunded_amount}</p>
						</div>
						<form class="form-horizontal" action="" method="post"
						      onsubmit="return confirm('{l s='Do you really want to submit the refund request?' mod='axepta'}');">

							<div class="form-group row type-text_with_length_counter js-text-with-length-counter">
								<label for="axepta_refund_amount" class="form-control-label label-on-top col-12">
                                    {l s='Insert amount to refund' mod='axepta'}
								</label>

								<div class="col-12">
									<div class="input-group js-text-with-length-counter">
										<input type="text" class="form-control" id="axepta_refund_amount"
										       name="axepta_refund_amount" value=""
										       placeholder="{$axepta_amount_refundable}">
									</div>
								</div>
							</div>

							<div class="text-right">
								<button name="axepta_submit_refund" disabled type="submit" class="btn btn-primary"
								        id="axepta_submit_refund" value="1">
                                    {l s='Perform a refund' mod='axepta'}
								</button>

							</div>
						</form>
                    {/if}
				</div>
			</div>
		</div>
    {/capture}
	<script>
		$(document).ready(function () {

			$("{$refund_fieldset|escape:'javascript':'UTF-8'}").insertAfter($('#orderProductsOriginalPosition').first());

			$('#axepta_refund_amount').on('keyup change', function () {

				$('#axepta_submit_refund').prop('disabled', isNaN($(this).val()) || $(this).val() <= 0
					|| $(this).val() > {$axepta_amount_refundable}
				);
			});
		});
	</script>
{else}
    {capture assign=refund_fieldset}
		<div class="well">
			<h3>{l s='Make a refund' mod='axepta'}</h3>

            {if isset($axepta_refund_error) && $axepta_refund_error}
				<br/>
				<div style="margin-top:15px" class="alert alert-danger">
					<p class="error">{$axepta_refund_error|escape:'htmlall':'UTF-8'}</p>
				</div>
            {/if}
            {if isset($axepta_refund_message) && $axepta_refund_message}
				<div style="margin-top:15px" class="alert alert-success">
					<p>{$axepta_refund_message}</p>
				</div>
            {/if}

			<div class="row">
                {if isset($axepta_amount_refundable)
                && $axepta_amount_refundable
                && ($axepta_amount_refundable > 0)}
					<div>
						<p>{l s='Amount submitted to refund' mod='axepta'}: {$axepta_submit_to_refund_amount}</p>
						<p>{l s='Amount refunded' mod='axepta'}: {$axepta_refunded_amount}</p>
					</div>
					<form action="" method="post"
					      onsubmit="return confirm('{l s='Do you really want to submit the refund request?' mod='axepta'}');">

						<div class="form-horizontal">
							<div class="form-group">
								<label class="control-label col-lg-3">
                                    {l s='Insert amount to refund' mod='axepta'}
								</label>
								<div class="col-lg-9">
									<input type="text" class="form-control" id="axepta_refund_amount"
									       name="axepta_refund_amount" value=""
									       placeholder="{$axepta_amount_refundable}">
								</div>
							</div>
						</div>

						<button disabled type="submit" id="axepta_submit_refund" class="btn btn-primary pull-right"
						        name="axepta_submit_refund" value="1">
                            {l s='Perform a refund' mod='axepta'}
						</button>
					</form>
                {/if}
			</div>
		</div>
    {/capture}
	<script>
		$(document).ready(function () {
			$("{$refund_fieldset|escape:'javascript':'UTF-8'}").insertAfter($('.panel-heading').first());
			$('#axepta_refund_amount').on('keyup change', function () {

				$('#axepta_submit_refund').prop('disabled', isNaN($(this).val()) || $(this).val() <= 0 || $(this).val() > {$axepta_amount_refundable});
			});
		});
	</script>
{/if}
